% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/anglemanise_utils.R
\name{extract_rows_for_unique_genes}
\alias{extract_rows_for_unique_genes}
\title{Extract Unique Genes from Gene Pairs Data Frame}
\usage{
extract_rows_for_unique_genes(dt, max_n_genes)
}
\arguments{
\item{dt}{A data frame containing gene pairs, with columns \code{geneA}
and \code{geneB}.}

\item{max_n_genes}{An integer specifying the maximum number of unique genes
to return.}
}
\value{
A vector of unique gene identifiers.
}
\description{
Extracts unique gene identifiers from a data frame containing gene pairs
and returns a vector of genes up to a specified maximum number.
}
\details{
The function combines the \code{geneA} and \code{geneB} columns, extracts
unique gene names, and returns the first \code{max_n_genes} genes. If
\code{max_n_genes} exceeds the number of unique genes available, all unique
genes are returned.
}
\examples{
gene_pairs <- data.frame(
  geneA = c("Gene1", "Gene2", "Gene3", "Gene4"),
  geneB = c("Gene3", "Gene4", "Gene5", "Gene6")
)
unique_genes <- extract_rows_for_unique_genes(
  gene_pairs,
  max_n_genes = 3
)
print(unique_genes)
}
\seealso{
\code{\link{select_genes}}
}
